export class ObjectData {

  /**
  * @Author Sum1Dream
  * @Name getWhereCondition
  * @Description // 将对象转换成GET请求参数  key1=value1&key2=value2
  * @Date 14:02 2024/4/9
  * @Param object
  */
  static  objectByString(object: any): string {
    let str = '';
    for (const i in object) {
      if (object[i] != null && object[i] !== '') {
        if (str === '') {
          str = i + '=' + object[i];
        } else {
          str += '&' + i + '=' + object[i];
        }
      }
    }
    return str;
  }

}
